メインコンテンツへスキップ
GET
https://{tenantDomain}/api/v2
/
client-grants
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.ClientGrants.GetAsync(
            "id"
        );
    }

}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.clientGrants().get("id");
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;

$client = new Management(
token: '<token>',
);
$client->clientGrants->get(
'id',
);
from auth0.management import ManagementClient

client = ManagementClient(
token="<token>",
)

client.client_grants.get(
id="id",
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.client_grants.get(id: "id")
curl --request GET \
--url https://{tenantDomain}/api/v2/client-grants/{id} \
--header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}/api/v2/client-grants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{tenantDomain}/api/v2/client-grants/{id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "id": "<string>",
  "client_id": "<string>",
  "audience": "<string>",
  "scope": [
    "<string>"
  ],
  "allow_any_organization": true,
  "default_for": "third_party_clients",
  "is_system": true,
  "authorization_details_types": [
    "<string>"
  ],
  "allow_all_scopes": true
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

id
string
必須

The ID of the client grant to retrieve.

レスポンス

Client grant successfully retrieved.

id
string

ID of the client grant.

client_id
string

ID of the client.

audience
string

The audience (API identifier) of this client grant.

Minimum string length: 1
scope
string[]

Scopes allowed for this client grant.

Minimum string length: 1
organization_usage
enum<string>

Defines whether organizations can be used with client credentials exchanges for this grant.

利用可能なオプション:
deny,
allow,
require
allow_any_organization
boolean

If enabled, any organization can be used with this grant. If disabled (default), the grant must be explicitly assigned to the desired organizations.

default_for
enum<string>
GA

Applies this client grant as the default for all clients in the specified group. The only accepted value is third_party_clients, which applies the grant to all third-party clients. Per-client grants for the same audience take precedence. Mutually exclusive with client_id.

利用可能なオプション:
third_party_clients
is_system
boolean

If enabled, this grant is a special grant created by Auth0. It cannot be modified or deleted directly.

subject_type
enum<string>

The type of application access the client grant allows.

利用可能なオプション:
client,
user
authorization_details_types
string[]

Types of authorization_details allowed for this client grant.

Required string length: 1 - 255
allow_all_scopes
boolean

If enabled, all scopes configured on the resource server are allowed for this grant.